Bug 1375825 - ghc-webkit must not depend on webkitgtk
Summary: ghc-webkit must not depend on webkitgtk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-webkit
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: webkit1-removal
TreeView+ depends on / blocked
 
Reported: 2016-09-14 05:01 UTC by Michael Catanzaro
Modified: 2017-12-10 05:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 05:02:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Catanzaro 2016-09-14 05:01:05 UTC
The webkitgtk package will be removed from rawhide after Fedora 26 is branched due to the high number of unfixed security vulnerabilities. You must remove this dependency or your package will not be present in Fedora 27.

Please refer to [1] for a FAQ on this matter and be advised that for some packages this may require a substantial amount of work.

Note: if ghc-webkit is a bindings package specifically intended to provide WebKit1 or GTK+ 2 bindings, then it can safely be retired.

[1] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/AKVB363GFCHHJ5MTHGVYHYT6NLLTF5VM/

Comment 1 Fedora End Of Life 2017-02-28 10:17:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Jens Petersen 2017-08-18 06:55:56 UTC
$ fedpkg retire "webkitgtk was dropped from f27+ (#1375825)"
/usr/lib/python2.7/site-packages/fedora/client/bodhi.py:48: DeprecationWarning: fedora.client.bodhi has been deprecated. Please use bodhi.client.bindings instead.
  DeprecationWarning)

Could not execute retire: Un-expected openid provider asked: https://admin.fedoraproject.org/pkgdb/

Comment 3 Jens Petersen 2017-11-15 05:31:43 UTC
I ran "fedpkg retire" again without error at least

Comment 4 Fedora Update System 2017-11-15 09:49:15 UTC
ghc-rpm-macros-1.6.50-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e804445201

Comment 5 Fedora Update System 2017-11-15 23:52:49 UTC
ghc-rpm-macros-1.6.50-9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e804445201

Comment 6 Fedora Update System 2017-12-10 05:02:04 UTC
ghc-rpm-macros-1.6.50-9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.